PDA

View Full Version : Update Documentation


Charter
12-11-2003, 10:43 AM
Hi. I would like to update the documentation. Currently listed are the following configurations:

Php/4.1.1, Apache/1.3.20 (Win32), Windows 2000
Php/4.1.2, Apache/1.3.23 (Unix) mod_ssl/2.8.7, Linux kernel 2.4.3
Php/4.3.0, Apache/2.0.44 (Unix) OpenSSL/0.9.6g, Linux kernel 2.4.18
Php/4.3.1, Apache/2.0.44 (Win32), Windows 2000

If you have PhpDig 1.6.5 working in full (including external binaries) on some other configuration, please post the configuration so that it can be added to the list.

If you have found a configuration where PhpDig 1.6.5 does not work in full, please post this also. For troubleshooting questions, please post in the Troubleshooting (http://www.phpdig.net/forumdisplay.php?forumid=22) forum.

Thanks.

This problem dealt with external binaries and the failure of the exec command in PHP 4.2.2.
Originally posted by lelandv
...
Just for information (in case anyone else comes across similar problems).. phpdig will NOT work on PHP version 4.2.2 -- this was the cause of the problems. Upgrading to 4.3.4 solved the problem. All working now!
...

This problem dealt with the inability to crawl pages residing on the same CGI server as PhpDig.
Originally posted by rafarspd
...
My ISP uses two servers, one for normal html (called the homepages server) and one dedicated to CGI, PHP, MySql etc.

PhpDig resides on the CGI server.
It can crawl any site on the homepages server but fails on any site on the CGI server.
This has been proven by installing PhpDig under my own user name account in addition to the www.rafars.org account.

Here is the reply from my ISP:-

cut -----
This is normal, the CGI platform is a loadbalanced cluster of servers, it is therefore not possible to connect back to "itself" on the loadbalanced address.

We are investigating other possibilities to enable this for the use of htdig etc although there is no ETA for this.
---- cut

So at least an answer from the ISP.

I say again:-
NOT A PHPDIG PROBLEM but an ISP CONFIGURATION PROBLEM.
...

mitsoskitsos
12-27-2003, 09:23 AM
Apache/1.3.29 (Unix) PHP/4.3.4 mod_ssl/2.8.16 OpenSSL/0.9.7b, Linux kernel 2.4.22

Works fine except the encoding problem that I describe in the Troubleshooting forum.

scotth
12-31-2003, 07:45 PM
Works great on the following:
OpenBSD 3.4 sparc64
apache_1.3.29
php-4.3.4
openssl-0.9.7c
mod_ssl-2.8.16-1.3.29
mod_perl-1.28

I'm new to the app but it works great so far in my lab environment.

Scott

Rolandks
01-02-2004, 01:00 AM
Works also at:
Windows 2003 - Server / IIS 6 / PHP 4.3.2 / MySQL 4.0.15

Happy NEW YEAR :)

konare
01-02-2004, 03:49 AM
I am currently using the following with no problems:

Gentoo Linux (kernel 2.4.20)
Apache 2.0.48
Mod_php 4.3.3
Mysql 4.0.16

Yannick
01-14-2004, 11:54 PM
Work also

Linux Red Hat 9.0
Apache 2.0.48
MySQL 4.0.17
PHP 4.3.4

pager
01-19-2004, 11:11 AM
Working now under the following config:

OS: Mac OS X 10.3
Apache: 1.3.28
PHP: 4.3.2
phpdig: 1.6.5
MySQL: 4.0.12